#!/bin/bash -ex

PREFIX=daut-2018

cd ..

STUDENT_DIR=`ls -d ${PREFIX}-s*`

echo "USING $STUDENT_DIR"

rm -rf arena
mkdir arena

cp -R $STUDENT_DIR/* arena/
ln -s ../$STUDENT_DIR/.git arena/.git

cp "${PREFIX}/create-report.pl" arena/
cp "${PREFIX}/count-points.pl" arena/
cp "${PREFIX}/overrides.txt" arena/
cp "${PREFIX}/Makefile" arena/

for TX in X01 X02 X03 X04 X05 X06 X07 X08 X09 X10 B00 B01 B02 B03 B04 X10
do
    mkdir -p arena/Task$TX
done

#cp $PREFIX/TaskA49/Makefile $PREFIX/TaskA49/run arena/TaskA49/

for AX in `seq -w 0 48`
do
    mkdir -p arena/TaskA$AX
done

for CX in `seq -w 0 6`
do
    mkdir -p arena/TaskC0$CX
done

find $PREFIX -name "*.in"  -o -name "*.exp" | while read K; do
cp $K arena/${K#*/}
done

cd $PREFIX

for T in Task???
do
    mkdir -p ../arena/$T
done

cd ..

find ${PREFIX} -regextype egrep -regex '.*/(description.txt|.*\.arg|.*\.in|.*\.exp)' -print | while read T; do cp $T ${T/${PREFIX}/arena}; done
